<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML; 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en">
<head>
<title>LinkMan - README</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<style type="text/css">
/* Style sheet and XHTML code
Author: Mauricio Samy Silva http://www.maujor.com/ A Web Standard evangelist site
City: Rio de Janeiro - Brazil
Contact: maujorcss[at]maujor[dot]com
Date: 2006-05-11
*/
body {
        margin:5px 0;
        padding:0;
        background:#eee;
        color: black;
        font : 68.8%/1.5 Verdana, Geneva, Arial, Helvetica, sans-serif;
        text-align:center;
        }
#wrapper {
        width:700px;
        background:#fff;
        margin:0 auto;
        text-align:left;
        border:1px solid #ccc;
        padding:10px 20px;
        }
h1 {
        font-size:1.5em;
        }
h2 {
        font-size:1.2em;
        border-top:1px solid #999;
        padding-top:1.8em;
        }
h3 {
        font-size:1.0em;
        }
span.dest { color:#f00;}
p {
        color : black;
        font-family : Verdana, Geneva, Arial, Helvetica, sans-serif;
        font-size: 1.0em;
        }
address {
        font-weight:bold;
        font-style:normal;
        }
ul.nobullets {
        margin:0 0 1.0em;
        padding:0;
        list-style:none;
        }
ol li {margin-bottom:1.0em;}
samp, code {
        font-size:1.3em;
        font-weight:bold;
        }
a:hover {
        color : red;
        background:#ccc;
        text-decoration : none;
        }
table#installation {
        border-collapse:collapse;
        margin: 5px 15px 10px -25px;
        border: 2px solid #999;
        }
table#installation thead {
        text-align:center;
        text-transform:uppercase;
        }
table#installation tr td, table#installation tr th {
        padding: 2px 5px;
        border: 1px solid #ccc;
        }
table#installation tr th {
        border-bottom-width:2px;
        border-bottom-color:#999;
        }

table#installation tr td var {
        font-weight:bold;
        font-style:normal;
        }
table#installation tr.odd {
        background: #fafafa;
        }


</style>
</head>
<body>
<div id="wrapper">
<div id="main">
<h1><span class="dest">LinkMan</span><br />
PHP link manager</h1>

<ul class="nobullets">
<li>PHP link manager (LinkMan)</li>
<li>Version: 1.5 from 22nd May 2008</li>
<li>(c) Copyright 2004-2008 Klemen Stirn</li>
<li><a href="http://www.phpjunkyard.com">PHPJunkYard.com - Free PHP scripts</a></li>
<li><a href="http://www.phpjunkyard.com/php-link-manager.php">PHP link manager</a></li>
<li><a href="http://developers.phpjunkyard.com/">Support and developers forum</a></li>
</ul>

<p><b>PLEASE NOTE:</b> I <span class="dest">cannot</span> provide free installation
support for this free script! Please use the above e-mail address to contact me
ONLY about possible bug reports, suggestions or comments! Thank you!</p>
<h2>INDEX</h2>
<ul class="nobullets">
    <li><a href="#copy">Copyright notice and license</a></li>
    <li><a href="#desc">Description, requirements and  &amp; Thanks to</a></li>
    <li><a href="#install">Installation</a></li>
    <li><a href="#settings">Available Settings</a></li>
    <li><a href="#upgrade">Upgrade from previous versions</a></li>
    <li><a href="#help">Troubleshooting, FAQ and getting help</a></li>
    <li><a href="#other">Copyright removal, newsletter, rating this script and other</a></li>
</ul>

<h2 id="copy">COPYRIGHT NOTICE</h2>

<p>Copyright 2004-2008 Klemen Stirn. All Rights Reserved.</p>
<p>The LinkMan may be used and modified free of charge by anyone so long as
this copyright notice and the comments above remain intact. By using this
code you agree to indemnify Klemen Stirn from any liability
that might arise from it's use.</p>
<p>Selling the code for this program without prior written consent is
expressly forbidden. Using this code, in part or full,
to create competing scripts or products is expressly forbidden.</p>
<p>Obtain permission before redistributing this software over the Internet or
in any other medium. In all cases copyright and header must remain intact.
This Copyright is in full effect in any country that has International
Trade Agreements with the United States of America or with
the European Union.</p>

<p><b>Removing copyright notice (&quot;Powered by&quot; statement)</b><br />
Removing any of the copyright notices without purchasing a license is <b>illegal</b>!
To remove PHPJunkyard copyright notice you must purchase a license for this script.
For more information on how to obtain a license please visit the site below:<br />
<a href="http://www.phpjunkyard.com/copyright-removal.php"
target="_blank">http://www.phpjunkyard.com/copyright-removal.php</a></p>

<h2 id="desc">DESCRIPTION</h2>

<p>PHP reciprocal links manager will automate your link exchange.</p>

<p><b>Changes in 1.5</b><br />
- you can now ban websites from your link exchange<br />
- admin panel will display a warning if allow_url_fopen is disabled<br />
- fixed adding new links to the top of list but under featured links<br />
- fixed link redirection mixup in (only version 1.4 downloaded before 10th April 2008)<br />
- several other minor changes to the user interface
</p>

<p><b>Changes in 1.4</b><br />
- improved reciprocal link checking code<br />
- you are now able to edit links from admin panel<br />
- option to make links featured<br />
- option to display website thumbnails<br />
- option to display Google PageRank<sup>TM</sup><br />
- option to block websites with too low PageRank<br />
- option to block links with rel=&quot;nofollow&quot; link attribute<br />
- option to block links from pages with meta robots noindex or nofollow<br />
- new more powerful SPAM filter<br />
- option to block superlatives from title and description<br />
- option to block duplicate website submissions<br />
- settings can now be set from within the admin panel<br />
- updated user interface<br />
- changed the way new versions are marked (1.4 instead of 1.04)<br />
- many more minor features and changes
</p>


<h2>REQUIREMENTS</h2>

<ul>
    <li>PHP 4.3.x or higher</li>
    <li>FTP access and a FTP program</li>
</ul>

<h2>THANKS TO</h2>

<p>I would like to say THANKS to everyone who in any way contributed to the development of this script, especially to (in no particular order):</p>

<ul>
    <li>Mauricio Samy Silva, designed the nice readme file you are just reading (<a href="http://www.maujor.com/">www</a>)</li>
    <li>everyone who supported my work by <a href="http://www.phpjunkyard.com/copyright-removal.php">purchasing a license</a></li>
    <li>everyone who posted their suggestions, comments and feedback on the <a href="http://developers.phpjunkyard.com">PHPJunkyard forum</a></li>
</ul>

<h2 id="install">&raquo; Installation</h2>

<p style="font-weight:bold"><span class="dest">Please take 5 minutes time and read installation instructions carefully and completely! This will ensure a proper and easy installation.</span></p>

<ol>
<li>
<p>Go to your FTP client and FTP to the public directory on your server (where the rest of your website is; usually "public_html", "www" or "site") and create a folder where you will install LinkMan.<br />
Example: /public_html/linkman<br />
Corresponding URL: http://www.yourdomain.com/linkman</p>
</li>
<li>
<p>Upload all LinkMan files to this folder. The &quot;img&quot; folder (all files in this folder) must be transferred in BINARY mode, other files in ASCII mode (refer to your FTP client instructions for details on how to set transfer mode properly).</p>
</li>
<li>
<p>Make sure that PHP scripts have permission to write to files <b>banned_websites.txt</b>, <b>linkinfo.txt</b> and <b>settings.php</b> - on UNIX (Linux) servers you must CHMOD (set permissions for) these files to 666 (rw-rw-rw-).</p>
</li>
<li>
<p>To configure settings open your LinkMan folder in browser, for example:<br />
http://www.yourdomain.com/linkman</p>
</li>
<li>
<p>To login enter default password: <b>admin</b></p>
</li>
<li>
<p>Click the <b>Settings</b> link from the top menu and configure your LinkMan.
You will find more information about LinkMan settings below
under <a href="#settings">Available Settings</a>.</p>
</li>
</ol>

<p>If you have done all this your LinkMan should work now.</p>

<p>File <b>links.php</b> is your links page, access it at:<br />
http://www.yourdomain.com/linkman/links.php</p>

<p>If you have <b>Show &quot;Add a link form&quot;</b> enabled your links.php page will already display
the form which can be used to add new links to your link exchange. If not you can use the code from
<b>form.html</b> to create your &quot;add a link&quot; form. Modify the look as much as you like.</p>

<p>You may edit header.txt and footer.txt files to add your own header and footer to the links page. You will have to use <b>full image URLs</b> in the code. For example instead of &lt;IMG SRC="images/image.jpg" ... &gt; use &lt;IMG SRC="http://www.yourdomain.com/images/image.jpg" ... &gt;! Same goes for any Javascripts or CSS files if you are calling them from within the header or footer.</p>

<p>Good luck with the script!</p>

<h2 id="settings">&raquo; Available Settings</h2>

<ol>
<li>These are the settings available in your LinkMan admin panel:<br /><br />
<table id="installation" summary="This is a simple two columns table - the first column names a variable and in second one has a descripton and the settings for the varible">
<thead>
<tr>
<th>Variable</th>
<th>Description/Setup</th>
</tr>
</thead>
<tbody>
<tr class="odd">
<td nowrap="nowrap"><var>Admin password</var></td>
<td>This will be your password for the admin panel. Change it from the
default password <b>admin</b>. Use only letters a-Z, A-Z and numbers 0-9.</td>
</tr>
<tr>
<td nowrap="nowrap"><var>Website URL</var></td>
<td>URL of your website. This is the URL your link
partners will have to place on their website.</td>
</tr>
<tr class="odd">
<td nowrap="nowrap"><var>Website title</var></td>
<td>A short title of your website like &quot;My lovely website&quot;</td>
</tr>
<tr>
<td nowrap="nowrap" valign="top"><var>Website description</var></td>
<td>A brief description of your website.
<br /><br /><br />
<i><b>NOTE:</b><br />
IF YOU WISH TO GET LINKMAN UP AND RUNNING AS SOON AS POSSIBLE YOU CAN SKIP OTHER SETTINGS
AT THE MOMENT AND LEAVE THEM ALL ON DEFAULT, JUST CLICK THE SAVE SETTINGS BUTTON
AT THE BOTTOM.</i>
<br /><br />
</td>
</tr>
<tr class="odd">
<td nowrap="nowrap"><var>Show &quot;Add a link form&quot;:</var></td>
<td>If enabled the &quot;Submit your website&quot; form will be displayed
at the bottom of the links page. Set to <b>NO</b> to hide the form. In this case
you can use the <i>form.html</i> file instead.</td>
</tr>
<tr>
<td nowrap="nowrap"><var>Notify me of new links</var></td>
<td>If set to <b>YES</b> you will receive an e-mail notification
at your admin e-mail address every time a new link is added to your LinkMan. Set
to <b>NO</b> if you don't want to be notified.</td>
</tr>
<tr class="odd">
<td nowrap="nowrap"><var>Admin e-mail address</var></td>
<td>Your e-mail address where new link notifications
will be sent. Only required if <i>Notify me of new links</i> is enabled.</td>
</tr>
<tr>
<td nowrap="nowrap"><var>Maximum links</var></td>
<td>Set to the maximum links you will allow submitted.
For better performance set an appropriate limit (50 works fine on most servers).
Once this limit is reached no new links can be submitted (unless some are deleted).</td>
</tr>
<tr class="odd">
<td nowrap="nowrap"><var>Use Security image</var></td>
<td>Setting this to <b>YES</b> (recommended) will require entering a &quot;security number&quot; in order to successfully
submit a new link to LinkMan. This will help fight spammers who try to submit links automatically. Set to <b>NO</b> if you want to disable the security number check.<br /><br />
RECOMMENDED SETTING: YES
</td>
</tr>
<tr>
<td nowrap="nowrap"><var>Enable SPAM filter</var></td>
<td>If set to <b>YES</b> LinkMan will check all new submissions with a SPAM filter
and block any submissions which fail the check. To disable the SPAM filter
(for example if you run an adult or gambling related website) set to <b>NO</b><br /><br />
RECOMMENDED SETTING: YES</td>
</tr>
<tr class="odd">
<td nowrap="nowrap"><var>Block superlatives</var></td>
<td>If set to <b>YES</b> LinkMan will block titles and descriptions
which contain superlatives (words like best, biggest, largest, cheapest, funniest, ...).
This only works if SPAM filter is enabled. To allow
superlatives set to <b>NO</b>.<br /><br />
RECOMMENDED SETTING: YES</td>
</tr>
<tr>
<td nowrap="nowrap"><var>Normal links or redirects:</var></td>
<td>
<b>Use normal links</b> = normal URLs will be used for links (example: http://www.google.com).<br />
<b>Redirect all links</b> = redirects will be used for links<br />(example: http://www.yoursite.com/linkman/go.php?url=http://www.google.com).<br />
<b>Featured normal, reciprocal redirect </b> = featured links will be normal, reciprocal links will be redirects</td>
</tr>
<tr class="odd">
<td nowrap="nowrap"><var>Add rel=&quot;nofollow&quot; to links</var></td>
<td>If set to <b>YES</b> links will have the <i>rel=&quot;nofollow&quot;</i> attribute.
Set to <b>NO</b> to disable.</td>
</tr>
<tr>
<td nowrap="nowrap"><var>Add new links to</var></td>
<td>
<b>Bottom of list</b> = new listings will appear to the top of the links.php page.<br />
<b>Top of list</b> = new listings to appear below old listings.</td>
</tr>
<tr class="odd">
<td nowrap="nowrap"><var>File with link data</var></td>
<td>File where all the link data will be stored (advanced users only). You may leave this as it is.</td>
</tr>
<tr>
<td nowrap="nowrap"><var>File with banned websites</var></td>
<td>File where a list of banned websites is stored (advanced users only). You may leave this as it is.</td>
</tr>
<tr class="odd">
<td nowrap="nowrap"><var>Show URL after title</var></td>
<td>Set to <b>YES</b> to display website URL next to title in links list. Set to <b>NO</b> to hide website URLs.</td>
</tr>
<tr>
<td nowrap="nowrap"><var>Show Google PageRank<sup>TM</sup></var></td>
<td>
<b>NO</b> = don't show Google PageRank<br />
<b>YES</b> = show Google PageRank<br />
<b>YES, in admin panel only</b> = show Google PageRank in admin panel only but not on the links.php page</td>
</tr>
<tr class="odd">
<td nowrap="nowrap"><var>Minimum PR to accept website</var></td>
<td>Minimum Google PageRank to accept a website to the link exchange. Possible values
are from <b>0</b> to <b>10</b>. Setting it to at least 1 or 2 can be helpful in blocking
spammers. Don't set it too high though, it shouldn't be higher than your website
PageRank.</td>
</tr>
<tr>
<td nowrap="nowrap"><var>Minimum reciprocal URL PR</var></td>
<td>Minimum Google PageRank of the website where the reciprocal link to your
website must be placed. Possible values
are from <b>0</b> to <b>10</b>. Setting it to at least 1 or 2 can be helpful in blocking
spammers. Don't set it too high though, it shouldn't be higher than your website
PageRank.</td>
</tr>
<tr class="odd">
<td nowrap="nowrap"><var>Block links with rel=&quot;nofollow&quot;</var></td>
<td>Setting to <b>YES</b> will block website from the link exchange if the reciprocal link
has <i>rel=&quot;nofollow&quot;</i> attribute. You should disable this (set to <b>NO</b>)
if you have <i>Add rel=&quot;nofollow&quot; to links</i> set to YES.
</td>
</tr>
<tr>
<td nowrap="nowrap"><var>Block noindex, nofollow pages</var></td>
<td>Setting to <b>YES</b> will block website from the link exchange if the reciprocal link
is located on a web with meta robots noindex or nofollow tag.
</td>
</tr>
<tr class="odd">
<td nowrap="nowrap"><var>Block duplicate links</var></td>
<td>If set to <b>YES</b> LinkMan will block duplicate website submissions from the link
exchange. Set to <b>NO</b> to allow duplicates.</td>
</tr>
<tr>
<td nowrap="nowrap"><var>Show thumbshots</var></td>
<td>
<b>NO</b> = don't show any website thumbshots (small screenshots)<br />
<b>YES, for all links</b> = all links will have a thumbshot<br />
<b>YES, for Featured links only </b> = only Featured links will show a thumbshot</td>
</td>
</tr>
<tr class="odd">
<td nowrap="nowrap"><var>Thumbshots service URL</var></td>
<td>The query URL of your favorite thumbshots service.<br /><br />
<span class="dest">IMPORTANT!</span> If you use the default one
(thumbshots.org) note that they require a link to their service from your
website or they can disable your server to access their server! Get
a link <a href="http://www.thumbshots.org/attribution.aspx" target="_blank">here</a> and place it on your website.</td>
</tr>
<tr>
<td nowrap="nowrap"><var>Hide these sections on load</var></td>
<td>Select which sections of the main admin page are hidden by default.
You can hide sections you don't use regularly and reduce the height (scrolling
required) of the main admin page.</td>
</tr>
<tr class="odd">
<td nowrap="nowrap"><var>Debug mode</var></td>
<td>If you are having problems with LinkMan set to <b>ON</b> to
enable debugging (will show PHP errors). Should be set to <b>OFF</b>
for normal usage.</td>
</tr>
</tbody>
</table>
</li>
</ol>

<h2 id="upgrade">&raquo; Upgrading from previous versions</h2>

<p>To upgrade from version 1.4 to 1.5 follow these steps:</p>
<ol>
  <li>BACKUP your old LinkMan</li>
  <li>Upload ALL files to your server <b>except linkinfo.txt and settings.php</b> (and in case you
  modified header/footer or style don't upload style.css, header.txt and footer.txt).</li>
  <li>Make sure file <b>banned_websites</b> is writable by PHP scripts. On Linux
  server chmod this file to 666 (rw-rw-rw-).</li>
  <li>open file <b>update.php</b> in your browser, for example:<br>
  http://www.yourdomain.com/linkman/update.php</li>
  <li>DELETE file <b>update.php</b></li>
  <li>Login to your admin panel (index.php) with your password
  and click the <b>Settings</b> link to configure your LinkMan.</li>
  <li>Test everything. All your current links and settings should stay intact.</li>
</ol>

<p>To upgrade from older versions (prior to 1.4) to 1.5 follow these steps:</p>
<ol>
  <li>BACKUP your old LinkMan</li>
  <li>Upload ALL files to your server (also settings.php!!) <b>except linkinfo.txt and update.php</b> (and in case you
  modified header/footer/style don't upload style.css, header.txt and footer.txt). Files inside &quot;img&quot;
  folder should be uploaded in BINARY, all other files in ASCII mode.</li>
  <li>Make sure file <b>settings.php</b> and <b>banned_websites</b> are writable by PHP scripts. On Linux
  server chmod these files to 666 (rw-rw-rw-).</li>
  <li>Login to your admin panel (index.php) with password <b>admin</b>
  and click the <b>Settings</b> link to configure your LinkMan.</li>
  <li>Test everything. All your current links should stay intact.</li>
  <li>If you are using Google PageRank login to the admin panel and click the
  &quot;Update PageRank&quot; link to get PR of existing links!</li>
</ol>

<p>Good luck with the script!</p>

<h2 id="help">&raquo; Troubleshooting</h2>

<p><span class="dest">PLEASE READ BEFORE ASKING</span> Since this script is free no support is guaranteed. You will find solutions for some common
problems below. If you can't get the script to work please go through this readme file again carefully and repeat the
installation step-by-step (also delete old files and folders from the server). Also please feel free to FIRST SEARCH for solutions
and then post any questions or problems you might have to <a href="http://developers.phpjunkyard.com">PHPJunkyard forum</a>!</p>

<h3>1. What is CHMOD and FTP?</h3>

<p>I have prepared a simple <a href="http://www.phpjunkyard.com/ftp-chmod-tutorial.php" target="_blank">
FTP and CHMOD tutorial</a> which will help you FTP files to your server and
set correct CHMOD settings.</p>

<h3>2. My LinkMan doesn't work, HELP!</h3>

<p>Here are a few things to check:</p>
<ol>
  <li>did you upload the img folder in BINARY mode and all other files ASCII mode?</li>
  <li>are linkinfo.txt and settings.php files world writable? CHMOD them to 666 (rw-rw-rw) if you are on a UNIX server</li>
  <li>go through the entire setup process again carefully</li>
  <li>are you sure your host supports PHP?</li>
</ol>

<h3>3. How can I stop spammers from posting links?</h3>

<p>Make sure you have these settings enabled (set to <b>YES</b>):</p>
<ol>
<li>Use Security image</li>
<li>Enable SPAM filter</li>
<li>Block superlatives</li>
</ol>

<p>You can also set <i>Minimum PR to accept website</i> and <i>Minimum reciprocal URL PR</i> to <b>1</b> or <b>2</b> to
block website with low Google PageRank.</p>

<h3>4. How can I modify the links.php page to fit my website design?</h3>

<p>You can modify the links page by modifying the HTML code inside <b>header.txt</b>
and <b>footer.txt</b> files. All code that is inside header.txt will be printed before links
and all code in footer.txt after links.</p>

<p>If you are not that familiar with HTML code you can try this simple trick.
It is based on my <a herf="http://www.phpjunkyard.com/tutorials/cut-paste-code.php" target="_blank">Cut and paste code into HTML document</a> article (visit it for an example
with screenshots):</p>

<ol>
<li>Use your web page editor to design your links page. Try to keep it simple.</li>
<li>Where you want the links to be displayed enter this text: CODE_HERE</li>
<li>Save it to a file and open that file in a text editor like Notepad or Wordpad</li>
<li>Find the CODE_HERE text inside the code (you can use the search function).</li>
<li>Now copy and paste all the code <b>above</b> CODE_HERE into <b>header.txt</b>
and all code <b>below</b> CODE_HERE into <b>footer.txt</b></li>
<li>Upload header.txt and footer.txt to your server</li>
<li>Now open your links.php page and you should see the new design (refresh the page if not).</li>
</ol>

<h2 id="other">&raquo; Copyright removal</h2>

You may NOT edit or remove any copyright or Powered by statements in LinkMan code without purchasing a license! For more information please visit
<a href="http://www.phpjunkyard.com/copyright-removal.php%20">http://www.phpjunkyard.com/copyright-removal.php</a>

<h2>&raquo; Stay updated!</h2>

<p>Join my FREE newsletter and you will be notified about new scripts, new versions of the existing scripts
and other important news from PHPJunkYard.<br />
<a href="http://www.phpjunkyard.com/newsletter.php">Click here for more info</a></p>


<h2>&raquo; Please rate this script</h2>

<p>If you like this script please rate it or even write a review at:</p>

<p><a href="http://www.hotscripts.com/Detailed/36875.html" target="_blank">Rate
this Script @ Hot Scripts</a></p>

<p><a href="http://php.resourceindex.com/detail/05361.html" target="_blank">Rate
this Script @ The PHP Resource Index</a></p>

<h2>&raquo; What else?</h2>

<p>That's it! If you use PHPJunkYard free scripts or any portion of their code  please place a link
to PHPJunkYard.com on your website. I won't sue you if you don't, but
I believe it is a fair trade for a free script/code. Think about it. You can
find link suggestions <a href="http://www.phpjunkyard.com/link2us.php">here</a>.</p>

<p>Best regards,</p>
<address>Klemen Stirn<br />
PHP JunkYard<br />
<a href="http://www.phpjunkyard.com">http://www.PHPJunkYard.com</a></address>

</div>
</div>
</body>
</html>